; nSprite 2 Demos
; Last Updated: November 15th 2020
; Version: 1.2.0

; Copyright (c) 2020 Jocelyn Perreault
;
; This software is provided 'as-is', without any express or implied
; warranty. In no event will the authors be held liable for any damages
; arising from the use of this software.
;
; Permission is granted to anyone to use this software for any purpose,
; including commercial applications, and to alter it and redistribute it
; freely, subject to the following restrictions:
;
; 1. The origin of this software must not be misrepresented; you must not
;    claim that you wrote the original software. If you use this software
;    in a product, an acknowledgment in the product documentation would be
;    appreciated but is not required.
; 2. Altered source versions must be plainly marked as such, and must not be
;    misrepresented as being the original software.
; 3. This notice may not be removed or altered from any source distribution.

; Features
Const MAXLINES = 25
Local strFeatures$[MAXLINES]
Local fs = ReadFile("demos\features.dat")
i = 0
While Not Eof(fs)
	strFeatures[i] = ReadLine(fs)
	i = i + 1
Wend
CloseFile fs
	
; Features list demo
While Not KeyHit(1)
	DemoBeginFrame()
	
	For i = 0 To MAXLINES
		nS_Text 50, 70 + i * 15, strFeatures[i]
	Next

	DemoEndFrame("nSprite 2 Features")	
Wend

Reset()