; nSprite 2 Demos
; Last Updated: November 15th 2020
; Version: 1.2.0

; Copyright (c) 2020 Jocelyn Perreault
;
; This software is provided 'as-is', without any express or implied
; warranty. In no event will the authors be held liable for any damages
; arising from the use of this software.
;
; Permission is granted to anyone to use this software for any purpose,
; including commercial applications, and to alter it and redistribute it
; freely, subject to the following restrictions:
;
; 1. The origin of this software must not be misrepresented; you must not
;    claim that you wrote the original software. If you use this software
;    in a product, an acknowledgment in the product documentation would be
;    appreciated but is not required.
; 2. Altered source versions must be plainly marked as such, and must not be
;    misrepresented as being the original software.
; 3. This notice may not be removed or altered from any source distribution.

Local x[2]
Local y[2]
x[0] = 100
y[0] = 75
x[1] = scrWidth - 200
y[1] = 45
x[2] = scrWidth / 2
y[2] = scrHeight - 100
i = 0
currw# = 100
; Basic drawing demo
While Not KeyHit(1)

	DemoBeginFrame()
	
	; Mouse changes
	If MouseHit(1)
		x[i] = MouseX()
		y[i] = MouseY()
		i = i + 1
		If i = 3 Then
			i = 0
		End If
	End If
	
	; Simple shapes
	nS_Color 255, 0, 0
	nS_Rect 50, 50, scrWidth * 0.75, scrHeight * 0.5
	nS_Color 0, 255, 0
	nS_Line 70, 65, scrWidth - 100, scrHeight * 0.8
	nS_Color 0, 0, 255
	nS_Oval scrWidth * 0.25, scrHeight * 0.25, scrWidth / 3, scrHeight * 0.75
	nS_Color 255, 255, 255
	nS_Plot 75, 80
	; Extended shapes and colors
	nS_Color 255, 255, 0, Float(10 - Abs(MouseZ())) / 10.0
	nS_Triangle x[0], y[0], x[1], y[1], x[2], y[2]
	nS_Color 255, 0, 255, 0.5
	nS_Line 50, scrHeight / 2, scrWidth / 2, 150, 50
	nS_Color 255, 255, 255, 0.75
	nS_Rect 25, scrHeight * 0.75, scrWidth - 50, 90, False, 5
	nS_Color 0, 255, 255, 0.25
	nS_Oval scrWidth * 0.75, 100, 200, 200, False, 25
	
	If KeyDown(203)
		currw = currw - 250.0 * DeltaTime
	End If
	If KeyDown(205)
		currw = currw + 250.0 * DeltaTime
	End If
	nS_Color 0, 0, 0, 0.35
	nS_Rect 150, 150, currw, 1000
	nS_Text 150, 150, "This is the brand new wordwrap feature, showing that it works great!" + Chr(13) + "Right and left arrow keys to change the maximum width, and press the middle mouse button to center the text!", MouseDown(3), False, nS_CurrentFont, currw
	
	DemoEndFrame("Basic drawing and routines (mousewheel, left-click)")	

Wend

Reset()